local f=CreateFrame("frame");

local CinematicMovieSound_Defaults = {
  ["Options"] = {
    ["TalkingHead"] = true,
  },
};

SLASH_CinematicMovieSound1 = '/cms';
function SlashCmdList.CinematicMovieSound(msg, editbox)
	if CinematicMovieSoundDB.TalkingHead == true then
		CinematicMovieSoundDB.TalkingHead = false
		print("Talking Head Sound Disabled - /Reload Required")
	elseif 
		CinematicMovieSoundDB.TalkingHead == false then
			CinematicMovieSoundDB.TalkingHead = true
			print("Talking Head Sound Enabled - /Reload Required")
	end
end

local function eventhandler(self,event)
	if event=="VARIABLES_LOADED" then
		if (not CinematicMovieSoundDB) then
			DEFAULT_CHAT_FRAME:AddMessage("CinematicMovieSound Loaded.");
			DEFAULT_CHAT_FRAME:AddMessage("CinematicMovieSound Options not found. Generating...");
			CinematicMovieSoundDB = CinematicMovieSound_Defaults["Options"];
		else
			DEFAULT_CHAT_FRAME:AddMessage("CinematicMovieSound Loaded.");
				if CinematicMovieSoundDB.TalkingHead == true then
					DEFAULT_CHAT_FRAME:AddMessage("CinematicMovieSound - Talking Heads Enabled");
				elseif CinematicMovieSoundDB.TalkingHead == false then
					DEFAULT_CHAT_FRAME:AddMessage("CinematicMovieSound - Talking Heads Disabled");
				end
		end
	end
	
	if (event=="CINEMATIC_START") then
		SetCVar("Sound_EnableAllSound", 1)
	elseif (event=="PLAY_MOVIE") then
		SetCVar("Sound_EnableAllSound", 1)
	elseif(event=="CINEMATIC_STOP") then
		SetCVar("Sound_EnableAllSound", 0)
	elseif(event=="QUEST_COMPLETE") then
		SetCVar("Sound_EnableAllSound", 0)
	elseif(event=="TALKINGHEAD_CLOSE") then
		SetCVar("Sound_EnableAllSound", 0)
	elseif (event=="TALKINGHEAD_REQUESTED") and CinematicMovieSoundDB.TalkingHead == true then
		SetCVar("Sound_EnableAllSound", 1)
	end
end

f:RegisterEvent("CINEMATIC_START");
f:RegisterEvent("CINEMATIC_STOP");
f:RegisterEvent("QUEST_COMPLETE");
f:RegisterEvent("PLAY_MOVIE");
f:RegisterEvent("TALKINGHEAD_REQUESTED");
f:RegisterEvent("TALKINGHEAD_CLOSE");
f:RegisterEvent("VARIABLES_LOADED")
f:SetScript("OnEvent",eventhandler);